<?php

namespace App\Mailing;

use Nette,
    Ublaboo\Mailing\Mail,
    Ublaboo\Mailing\IComposableMail;

class PasswordMail extends Mail implements IComposableMail
{

    /**
     * There you will always have your mail addresses from configuration file
     * @var array
     */
    protected $mails;

    public function compose(Nette\Mail\Message $message, $params = NULL)
    {
        $this->mails = array_merge($this->mails, $params['mails']);
        $message->setFrom((isset($this->mails['password_email']) ? $this->mails['password_email'] : $this->mails['default_sender']));
        $message->addTo($params['recipient']);
    }

}