<?php

class NoLoggedUserCest {

    /**
     * Try if user registration is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function userRegistration(AcceptanceTester $I) {
        $I->wantTo('try if user registration is working');
        $I->amOnPage('/osoby/registrace-uctu');
        $I->fillField('#frm-personForm-personForm-person_detail-email', 'test@test.cz');
        $I->fillField('#frm-personForm-personForm-password', 'testheslo');
        $I->fillField('#frm-personForm-personForm-password_repeat', 'testheslo');
        $I->fillField('#frm-personForm-personForm-person_detail-first_name', 'Test jmeno');
        $I->fillField('#frm-personForm-personForm-person_detail-last_name', 'Test prijmeni');
        $I->fillField('#frm-personForm-personForm-address-street', 'Testovaci ulice');
        $I->fillField('#frm-personForm-personForm-address-city', 'Testovaci mesto');
        $I->fillField('#frm-personForm-personForm-address-zip', '12345');
        $I->fillField('#frm-personForm-personForm-address-registry_number', '4');
        $I->click('register');
        $I->wait(2);
        $I->see('Uživatel s tímto loginem již existuje.', '.alert-danger');
    }
    
    /**
     * Try if user forgot password is working
     * @param  AdminTester $I
     * @return boolean
     */
    /*
    public function forgotPasswordTest(){
        $I->wantTo('try if user forgot password is working');
        $I->amOnPage('/prihlaseni');
        $I->click('#forgotPasswordLink');
        $I->wait(2);
        $I->fillField('#frm-forgotPasswordForm-forgotPasswordForm-email', 'novak@mail.cz');
        $I->click('#forgotPasswordSubmit');
        $I->wait(2);
        $I->see('Uživatel s tímto loginem již existuje.', '.alert-danger');
    }
     */

}
