/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

$(function () {
    // Počáteční inicializace.
    $('#buyer-form').dialog({width: 600, height: 500, autoOpen: false});

    // Otevření dialogového okna.
    $('#change-buyer-button').click(function (e) {
        e.preventDefault();
        $('#buyer-form').dialog('open');
    });

    // Odeslání formuláře pro editaci odběratele pomocí Nette AJAXu.
    $("#buyer-form-submit").click(function (e) {
        e.preventDefault();
        $.nette.ajax({}, $('#frm-personForm-personForm'), e).done(function () {
            $('#buyer-form').dialog('close');
        }).error(function () {
            alert("Při stahování změn ze serveru došlo k chybě. Aktualizujte stránku.")
        });
    });

    // Změna počtu kusů daného produktu v objednávce pomocí Nette AJAXu.
    $(document).on('click', '.order-item-change', function (e) {
        e.preventDefault();
        $.nette.ajax({data: {'quantity': $(this).prev().val()}}, this, e).error(function (data) {
            console.log(data);
            alert("Při nahrávání změn na server došlo k chybě." + data);
        });
    });
});