/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

$(function () {
    // Klik na chceckbox
    $("input:checkbox").click(function () {
        // Získám si třídu checkboxu, na který jsem kliknul
        var attrClass = $(this).attr("class");
        var attrId = $(this).attr('id');

        if (typeof attrClass !== typeof undefined && attrClass !== false) {
            // Pokud má checkbox třídu (klik na akci), budu testovat, jestli je jsou nějaké jeho akce zakliknuté
            if ($('.' + attrClass).is(':checked')) {
                // Pokud ano, hlavní checkbox pro zdroj (má stejné id jak mají akce class) musí byt zakliklý
                $('#' + attrClass).prop('checked', true);
            } else {
                // Pokud ne, hlavní checkbox pro zdroj odkliknu
                $('#' + attrClass).prop('checked', false);
            }
        } else if (typeof attrId !== typeof undefined && attrId !== false) {
            // Pokud má checkbox id (klik na zdroj), budu zaklikavat vsechny jeho akce
            if ($('#' + attrId).is(':checked')) {
                // Pokud jsem ho zaklikl, nastavim vsem jeho akcim, které mají stajnou class jako on id true
                $('.' + attrId).prop('checked', true);
            } else {
                // Pokud jsem ho odklikl, nastavim vsem jeho akcim, které mají stajnou class jako on id false
                $('.' + attrId).prop('checked', false);
            }
        }
    });
});