/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

$(function () {
    /**
     * Info o ajaxovém zpracování akce - vyvolání bootstrap modalu pro info o nedostupnsoti produktu na skladě
     * FUNKCINALITA: Pokud jet to ajax, pošlu objektem přes payload zprávu error => stock, tady to testuji na existenci zprávy
     */
    $.nette.ext({
        before: function (xhr, settings) {
            if (!settings.nette) {
                return;
            }
        },
        success: function (payload, status, jqXHR, settings) {
            if (payload.message) {
                $('#stockUnavailability').modal('show');
            }
        },
        error: function (xhr, status, error) {
        }
    });

    /**
     * Kliknutí na tlačítko pkračovat v nákupu
     * Ajax přesměruji na příslušnou metodu a skryji modal
    */ 
    $('body').on('click', '#buyContinue', function () {
        $('#stockUnavailability').modal('hide');
        $.nette.ajax({
            url: $('#buyContinue').data('link-handler'),
            data: {
                'cartForm-id': $('#buyContinue').data('product'),
                'cartForm-amount': $('#buyContinue').data('quantity')
            }
        });
    });

    $(document).ready(function () {
        updateStock();
    });


    
});