/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

/**
 * Funkce napojí div formulářové skupiny na daný checkbox tak, aby se zobrazoval podle toho, jak je checkbox zaškrtnutý.
 * @param checkBoxSelector selektor checkboxu
 * @param divSelector selector divu formulářové skupiny
 * @param inverse jestli se má zobrazovat inverze k zaškrtnutí checkboxu - zaškrtnutím skrýt, nebo naopak zobrazit
 */
function toggleFormControls(checkBoxSelector, divSelector, inverse) {
    var checked = $(checkBoxSelector).click(function () {
        $(divSelector).slideToggle(500);
    }).prop('checked');

    if ((!inverse && !checked && $(checkBoxSelector).length) || (inverse && checked)) $(divSelector).hide();
}

$(function () {
    // Registrace známých checkboxů a jejich formulářových skupin - registračí pole a doručovací adresa.
    toggleFormControls('#create_account', '#create-account-controls');
    toggleFormControls('#omit_delivery_address', '#delivery-address-controls', true);
});