<?php

namespace App\Mailing;

use Nette,
    Ublaboo\Mailing\Mail,
    Ublaboo\Mailing\IComposableMail;

class NewsletterMail extends Mail implements IComposableMail {

    /**
     * There you will always have your mail addresses from configuration file
     * @var array
     */
    protected $mails;

    public function compose(Nette\Mail\Message $message, $params = NULL) {
        if (isset($params['mails'])) {
            $this->mails = array_merge($this->mails, $params['mails']);
        }

        $message->setFrom((isset($this->mails['newsletter_mail']) ? $this->mails['newsletter_mail'] : $this->mails['default_sender']));
        $message->addTo($params['recipient']);
    }

}
