<?php

/*
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

namespace App\EmailModule\Presenters;

use App\Presenters\BasePresenter;

/*
 * Základní presenter pro všechny ostatní presentery v email modulu.
 * @package App\EmailModule\Presenters
 *
 * @author Jan Vodák <vodak at ideatech.cz>
 */

class BaseEmailPresenter extends BasePresenter {

    /** @var null|string Adresa presenteru pro logování uživatele. */
    protected $loginPresenter = ':Front:Sign:login';

    public function beforeRender() {
        parent::beforeRender();
        $this->setLayout('layoutBackend');
    }

}
