<?php

namespace Step\Acceptance;

class FrontLogin extends \AcceptanceTester {

    /**
     * Front log in with wrong password is working
     */
    public function wrongPassword() {
        $I = $this;
        $I->amOnPage('/prihlaseni');
        $I->wait(1);
        $I->fillField('#frm-loginForm-email', 'test@test.cz');
        $I->fillField('#frm-loginForm-password', 'chybneheslo');
        $I->click('input[type=submit]');
    }

    /**
     * Front login
     */
    public function frontLogin() {
        $I = $this;
        $I->amOnPage('/prihlaseni');
        $I->wait(1);
        $I->fillField('#frm-loginForm-email', 'test@test.cz');
        $I->fillField('#frm-loginForm-password', 'testheslo');
        $I->click('input[type=submit]');
    }

    /**
     * Front lgout
     */
    public function frontLogout() {
        $I = $this;
        $I->wait(1);
        $I->amOnPage('/odhlasit');
    }

}
