<?php

use \Step\Acceptance\AdminLogin as AdminTester;

class CustomersCest {

    /**
     * Try if customers default page with datagrid is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function customersDefaultPageTest(AdminTester $I) {
        $I->wantTo('Try if customers default page with datagrid is working');
        $I->loginAsAdmin();
        $I->wait(2);
        $I->amOnPage('/administrace/eshop/zakaznici/');
        $I->wait(2);
        $I->see('Zákazníci', '.header');
    }
    
    /**
     * Try if customer detail page with datagrid is working
     * @param  AdminTester $I
     * @return boolean
     */
    public function customersDetailPageTest(AdminTester $I) {
        $I->wantTo('Try if customer detail page with datagrid is working');
        $I->amOnPage('/administrace/eshop/zakaznici/');
        $I->wait(2);
        $I->click('#snippet-customerPersonDataGrid-dataGrid-table tbody tr:first-child a');
        $I->wait(1);
        $I->see('Objednávky', 'h4');
    }
    
    
    
}
