/* 
 * (C) Ideatech.cz
 * 2016
 * https://www.ideatech.cz/
 * Tento kód nesmí být šířen ani používán v open-source projektech.
 */

/**
 * Info o ajaxovém zpracování akce - vyvolání notifikace o úspěšnosti akce
 * FUNKCINALITA: v presenteru podmínka, jeslti je to ajax
 * Pokud ano, přidání klasické flash zprávy + redrawControl("ajaxNotification")
 * 
 * Pro zobrazení klasického modalu stačí odkomoentovat css v modal
 * Odkomentovat věci v layoutu - křizek a text s autozavřením
 * tady smazat efekty přijezdu a odkomentovat zavření při kliku kamkoliv v okně a klik na křížek
 */
$(function () {
    $.nette.ext({
        before: function (xhr, settings) {
            if (!settings.nette) {
                return;
            }
        },
        success: function (payload, status, jqXHR, settings) {
            // Velikost modalu bude stejna jak container
            $(".modal-content").css("width", "100%");
            
            // Testuji, jestli je nějaká zpráva v notifikacích
            var modalContentSize = $('#notification-modal .modal-content').children().length;
            if(modalContentSize > 0) {
                // Jakmile proběhne ajaxové zpracování, zobrazím notifikaci pro informování uživatele o výsledku a pak ho automaticky skryji
                $("#notification-modal").slideDown(1000);
                $("#notification-modal").delay(1000).slideUp(1000);
            }
        },
        error: function (xhr, status, error) {
            alert("Při zpracování došlo k chybě " + status + ": " + error);
        }
    });

    /*
        // Při kliku kamkoliv jinam v okně se modál zavře
         window.onclick = function (event) {
         if (event.target === document.getElementById('notification-modal')) {
         document.getElementById('notification-modal').style.display = "none";
         }
         };

         // Při kliknutí na křížek, se zavře modál
         $(".close-modal").click(function () {
         document.getElementById('notification-modal').style.display = "none";
         });
     */
});

$(document).ready(function() {
    // Testuji, jestli je nějaká zpráva v notifikacích
   var modalContentSize = $('#notification-modal .modal-content').children().length;
   if(modalContentSize > 0) {
       $("#notification-modal").slideDown(1000);
       $("#notification-modal").delay(1000).slideUp(1000);
   }
});